# AI Replace

# Overview
Replace unwanted elements with new objects using AI Replace. By using this API, you can instantly remove unwanted object from your photo and replace it with a new one just by using text. Eliminate anything from bags to cars and beyond.​

Sample:
![](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_web_AI_replace_S3_feature_img_02_a73a26bcc3.jpg)


For content creators aiming to perfect their social media presence, AI Replace offers a hassle-free way to polish travel photos or promotional images. Remove and replace elements with ease, ensuring your content stands out.
![](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_web_AI_replace_S3_feature_img_03_42c9cd98d0.jpg)


Create stunning room mockups with AI Replace by filling empty spaces with aesthetically pleasing furniture and objects, transforming the perception of any space.
![](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_web_AI_replace_S3_feature_img_04_4d2d82f76e.jpg)

License: Privacy policy

## Servers

```
https://yce-api-01.makeupar.com
```

## Security

### BearerAuthenticationV2

Use the standard 'Bearer authentication'. Put your 'API Key' in header: `Authorization:Bearer YOUR_API_KEY`. Notice that there is ' ' a space between 'Bearer' and the 'YOUR_API_KEY'.

Type: http
Scheme: bearer

## Download OpenAPI description

[AI Replace](https://docs.perfectcorp.com/_bundle/reference/ai_replace.yaml)

## V1.0

AI Replace API allows you to replace specific objects in images using generative fill technology. Requires source image, mask for the area to replace, and a text prompt describing what should be generated.

### Create a new file.

 - [POST /s2s/v2.0/file/obj-replace](https://docs.perfectcorp.com/reference/ai_replace/v1.0/paths/~1s2s~1v2.0~1file~1obj-replace/post.md): To upload a new file, you'll first need to use the File API. It will give you a URL – use that URL to upload your file. Once the upload is finished, you can use the file_id from the same response to start using our AI features.

### Run an AI Replace task.

 - [POST /s2s/v2.0/task/obj-replace](https://docs.perfectcorp.com/reference/ai_replace/v1.0/paths/~1s2s~1v2.0~1task~1obj-replace/post.md): Please refer to the polling guide for checking task status. This API requires a source image, mask file, and prompt describing what should replace the masked area.

### Check an AI Replace task status.

 - [GET /s2s/v2.0/task/obj-replace/{task_id}](https://docs.perfectcorp.com/reference/ai_replace/v1.0/paths/~1s2s~1v2.0~1task~1obj-replace~1%7Btask_id%7D/get.md)

